%global gemname warden

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Rack middle-ware that provides authentication for rack applications
Name: rubygem-%{gemname}
Version: 1.0.5
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/hassox/%{gemname}
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: ruby(abi) = 1.8
Requires: rubygems
Requires: rubygem(rack)
BuildRequires: rubygems
BuildRequires: rubygem(rack)
# Use rspec-core until rspec are not migrated to RSpec 2.x
BuildRequires: rubygem(rspec-core)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Warden is a Rack-based middle-ware, designed to provide a mechanism for
authentication in Ruby web applications. It is a common mechanism that fits
into the Rack Machinery to offer powerful options for authentication.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep

%build

%install
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}

%check
pushd %{buildroot}/%{geminstdir}
rspec spec
popd

%files
%dir %{geminstdir}
%{geminstdir}/lib
%exclude %{geminstdir}/*.gem
%exclude %{geminstdir}/Gemfile*
%exclude %{geminstdir}/warden.gemspec
%doc %{geminstdir}/LICENSE
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%{geminstdir}/spec
%{geminstdir}/Rakefile
%doc %{geminstdir}/TODO.textile
%doc %{geminstdir}/README.textile
%doc %{geminstdir}/History.rdoc
%doc %{gemdir}/doc/%{gemname}-%{version}


%changelog
* Wed Jul 27 2011 Vít Ondruch <vondruch@redhat.com> - 1.0.5-1
- Update to the warden 1.0.5

* Tue Jul 26 2011 Vít Ondruch <vondruch@redhat.com> - 1.0.4-1
- Update to the warden 1.0.4
- Use RSpec 2.x for tests

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Vít Ondruch <vondruch@redhat.com> - 1.0.3-3
- Removed RSpec runtime reference

* Mon Dec 20 2010 Vít Ondruch <vondruch@redhat.com> - 1.0.3-2
- Removed obsolete BuildRoot
- Removed explicit library requires
- Removed obsolete build root cleaning
- Removed explicit path to RSpec call

* Wed Dec 15 2010 Vít Ondruch <vondruch@redhat.com> - 1.0.3-1
- Initial package
